
#ifndef _defined_TSYNC_NONKTS_H
#define _defined_TSYNC_NONKTS_H

/*******************************************************************************
**  Module:     tsync_nonkts.h
**  Date:       09/17/09
**  Purpose:    This is the TSYNC/TSAT PCI Card interface file for haedware
**              features that are not part of the KTS.  This file should *only*
**              be included from tsync.h.
**
** (C) Copyright 2009 Spectracom Corporation  All rights reserved.
**
*******************************************************************************/

/*** Start of non-kts entry area [DO NOT MOVE OR ALTER THIS LINE] ***/

    /* Hardware Interface ====================================================*/

        
/*
    * Function:    TSYNC_HW_getTemperature()
    * Description: Read the current board temperature in counts.
    *
    *	To convert to degrees C
    *    freq = 1/(pTemp*.00000002) // convert counts to freq
    *    temperature = (freq/4)-273.15 // convert freq to Temp
    *
    * Parameters:
    *   IN:  handle           - Board handle
    *        
    *   OUT: pTemp           - Pointer to contents of temperature
    *
    * Returns: (TSYNC_SUCCESS) Success
    */
    DLL_EXPORT
    TSYNC_ERROR TSYNC_HW_getTemperature(
        TSYNC_BoardHandle handle,
        unsigned short *pTemp);


/*** End of non-kts entry area [DO NOT MOVE OR ALTER THIS LINE] ***/

#endif  /* _defined_TSYNC_NONKTS_H */
